Subject: Re: What's cooking in git.git (Dec 2015, #01; Tue, 1)

From: Junio C Hamano <[email-masked]>
Date: Wed, 02 Dec 2015 15:31:41 -0800

Jeff King <[email-masked]> writes:

> On Wed, Dec 02, 2015 at 02:11:32PM -0800, Junio C Hamano wrote:
>
>> I think I managed to get my working area (together with a handful of
>> new entries in the rerere database and a few merge-fix/ entries) in
>> sync with what you pushed out well enough that my automated
>> procedure would recreate the status of various branches you pushed
>> out exactly.
>> 
>> I haven't caught up with the changes in the component branches,
>> though, so it may take a few days until I start picking up new
>> topics from the list traffic.
>
> My whole workspace is at https://github.com/peff/git, if fetching that
> directly is easier. I just noticed that my refspecs were not configured
> to push up refs/merge-fix. I've just fixed that and pushed again.
>
> I'll leave it that way for a few more days, but then will probably take
> it back to my usual contributor setup (i.e., just my topics and personal
> integration branches).

Thanks.  I haven't re-fetched from you, but I think I am good.

> My "two cycles from now" meant "two integration cycles". I seemed to do
> only about two per week. You can take those all with a grain of salt. It
> was meant only as a note to myself that the topic seemed risky enough to
> allow extra cooking time in next.
>
> Since your "Meta/cook -w" output shows dates of merges, I imagine you
> are in the habit of simply looking at those dates and saying "eh, this
> has been in next for 2 weeks and nobody has complained; that's enough
> cooking time".

Yup ;-)

> (which is why it doesn't need more fixup to compile). We did not drop
> any actual function conversions (which might have been wrong but still
> compiled, if both the function signature and its callers all moved).

OK, good to know.

I just finished my first pass of going through "cook -w" output and
had trouble judging jk/send-email-ssl-errors topic, which is marked
as "waiting for re-roll", but I cannot seem to find any discussion
on it, just the original patch $gmane/281655.  Are there concerns?